if (!window.classroomToolsHasEdit) {
  window.classroomToolsHasEdit = true;

  function click(e) {
    e.stopImmediatePropagation();
    e.preventDefault();
  }

  function keyEscape(e) {
    if (e.key === "Escape") {
      document.body.setAttribute("contenteditable", "false");
      document.removeEventListener('click', click, true);
    }
  }

  function removeListeners() {
    document.removeEventListener("keyup", keyEscape, true);
    document.removeEventListener('click', click, true);
  }
}

document.body.setAttribute("contenteditable", "true");

document.addEventListener("keyup", keyEscape, true);
document.addEventListener('click', click, true);